Subject: Job Advert

From: Sherwood Exporters <[email-masked]>
Date: Thu, 4 Nov 2010 02:10:46 +0100 (CET)

Sherwood Exporters United Kingdom, We Export Goods world wide, we need represen
tative that can help us collect payment from our customer In All America and Can
ada. If you are interested get back to us by replying this email.